<?xml version = "1.0" encoding="utf-8"?>
<div>

    <script type="text/template" name="menu">
        <span class="dropdown">
        <i data-toggle="dropdown" class="fa fa-navicon uw-hover uw-clickable"></i>
        <ul class="dropdown-menu multi-level">
            <li><a href="#" value="deploy">Deploy a Process Model</a></li>
            <li role="separator" class="divider"></li>
            <li><a href="#" value="exit">Exit</a></li>
        </ul>
        </span>
    </script>

    <script type="text/template" name="finder">
        <form name="criteria" class="form-horizontal">
            <div class="form-group">
                <label class="control-label col-sm-1">Key</label>
                <div class="col-sm-2">
                    <input type="text" class="form-control" name="key" subject="key" predicate="like">
                </div>
                <label class="control-label col-sm-1">Name</label>
                <div class="col-sm-2">
                    <input type="text" class="form-control" name="name" subject="name" predicate="like">
                </div>
                <div class="col-sm-offset-1 col-sm-1">
                    <button type="submit" class="btn uw-button-attention" value="search">
                        <i class="fa fa-sign-in" aria-hidden="true"></i>
                        <span>Search</span>
                    </button>
                </div>
                <div class="col-sm-1">
                    <button type="reset" class="btn uw-button-default" value="reset">
                        <i class="fa fa-undo" aria-hidden="true"></i>
                        <span>Reset</span>
                    </button>
                </div>
            </div>
        </form>
        <hr>
        <div style="display:none">
            <button type="button" value="edit" class="btn uw-button-default">
                <i class="fa fa-pencil" aria-hidden="true"></i>
                <span>Edit</span>
            </button>
            <button type="button" value="delete" class="btn uw-button-warning"
                    confirmation="Delete the items?: Are you sure you want to delete the selected items?" >
                <i class="fa fa-trash" aria-hidden="true"></i>
                <span>Delete</span>
            </button>
        </div>
        <fieldset>
            <legend>Activated Process Model</legend>
            <table name="grid" class="table table-striped" mode="single">
                <thead>
                <tr>
                    <th handler="SELECTOR"></th>
                    <th dataIndex="key" i18n="true" editable="false" style="min-width:200px;">Key</th>
                    <th dataIndex="name" i18n="true" editable="false" style="min-width:200px;">Name</th>
                    <th dataIndex="description" i18n="true" editable="false">Description</th>
                    <th dataIndex="version" editable="false" style="min-width:150px;">Version</th>
                </tr>
                </thead>
            </table>
            <nav class="text-center">
                <ul name="pagination" class="pagination"></ul>
            </nav>
        </fieldset>
    </script>

    <script type="text/template" name="editor">
        <form class="form-horizontal">
            <div class="form-group">
                <label class="control-label col-sm-1" name="key">Key</label>
                <div class="col-sm-3">
                    <input type="text" class="form-control" name="key" readonly>
                </div>
                <div class="col-sm-9"></div>
            </div>
            <div class="form-group">
                <label class="control-label col-sm-1" name="name">Name</label>
                <div class="col-sm-7">
                    <input type="text" class="form-control" name="name" required>
                </div>
                <!--<label class="control-label col-sm-2" for="activateOn">Activation Date</label>-->
                <!--<div class="col-sm-2">-->
                    <!--<input type="date" class="form-control" name="activateOn">-->
                <!--</div>-->
            </div>
            <div class="form-group">
                <label class="control-label col-sm-1" name="description">Description</label>
                <div class="col-sm-11">
                    <textarea rows="5" class="form-control" name="description"></textarea>
                </div>
            </div>
            <div class="form-group">
                <div class="col-sm-offset-1 col-sm-11">
                    <button type="button" value="close" class="btn uw-button-default">
                        <i class="fa fa-close" aria-hidden="true"></i>
                        <span>Close</span>
                    </button>
                    <button type="submit" value="save" class="btn uw-button-attention"
                            confirmation="Save changes?: Do you want to save changes made to this item?" >
                        <i class="fa fa-save" aria-hidden="true"></i>
                        <span>Save</span>
                    </button>
                    <button type="button" value="undo" class="btn uw-button-caution"
                            confirmation="Discard changes?: Are you sure you want to discard all changes to this item?">
                        <i class="fa fa-undo" aria-hidden="true"></i>
                        <span>Undo</span>
                    </button>
                    <button type="button" value="undeploy" class="btn uw-button-warning"
                            confirmation="Undeploy the process model?: Are you sure you want to undeploy this process model?" >
                        <i class="fa fa-trash" aria-hidden="true"></i>
                        <span>Undeploy</span>
                    </button>
                </div>
            </div>
        </form>
    </script>

    <script type="text/template" name="deploymentDialog">
        <form>
            <div class="form-group">
                <label class="control-label" name="bpmn">Model File</label>
                <input type="file" class="form-control" name="bpmn">
            </div>
        </form>
    </script>

</div>